Page MenuHomePhabricator

[compilter-rt] Add unittests for interception library
ClosedPublic

Authored by etienneb on Jul 4 2016, 7:33 PM.

Diff Detail

Event Timeline

etienneb updated this revision to Diff 62713.Jul 4 2016, 7:33 PM
etienneb retitled this revision from to [compilter-rt] Add unittests for interception library.
etienneb updated this object.
etienneb updated this object.Jul 5 2016, 8:19 AM
etienneb added a reviewer: rnk.
etienneb added subscribers: chrisha, wang0109.
etienneb updated this revision to Diff 62901.Jul 6 2016, 10:10 AM

add unittests

etienneb updated this revision to Diff 62902.Jul 6 2016, 10:12 AM

remove messages

etienneb updated this object.Jul 6 2016, 10:18 AM
etienneb added a subscriber: llvm-commits.
rnk accepted this revision.Jul 6 2016, 10:29 AM
rnk edited edge metadata.

lgtm

This revision is now accepted and ready to land.Jul 6 2016, 10:29 AM
rnk added a comment.Jul 6 2016, 10:47 AM

Can we test for failure to override functions with relative jumps in the prologue next?

In D21980#475526, @rnk wrote:

Can we test for failure to override functions with relative jumps in the prologue next?

More tests are coming for better coverage (32/64-bit).
I wanted to split the patch.

This one focus on adding the boiler plate to run the tests (CMake, etc..).

etienneb closed this revision.Jul 6 2016, 12:22 PM